Bug 1036586 - rhn-channel with no parameters asks for user name and password only to return its usage message
Summary: rhn-channel with no parameters asks for user name and password only to return...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Matej Kollar
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-02 10:21 UTC by Radek Bíba
Modified: 2015-07-22 07:28 UTC (History)
3 users (show)

Fixed In Version: rhn-client-tools-1.0.0.1-24-el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 07:28:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1395 normal SHIPPED_LIVE rhn-client-tools bug fix update 2015-07-20 18:07:31 UTC

Description Radek Bíba 2013-12-02 10:21:27 UTC
Description of problem:
# rhn-channel
Username: <filtered out>
Password: 
ERROR: you may want to specify --add, --remove or --list

This is kind of strange. Why do I have to enter my credentials if the output then contains nothing about the system's subscription? The error should be printed right away.

Version-Release number of selected component (if applicable):
rhn-client-tools-1.0.0.1-16.el6

Comment 1 Matej Kollar 2015-02-20 20:44:32 UTC
Upstream work -- Spacewalk.git: ea4c950c3e7a40ece7af1daf4df85b9373f70825

Comment 4 Pavel Studeník 2015-03-17 15:44:02 UTC
Verified with rhn-setup-gnome-1.0.0.1-31.el6.noarch.rpm

# rhn-channel
ERROR: you may want to specify --add, --remove or --list

# echo $?
0

Comment 5 errata-xmlrpc 2015-07-22 07:28:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1395.html


Note You need to log in before you can comment on or make changes to this bug.